/***************************************************************************
*   Copyright (C) 2009 Alvaro Tanarro Santamaria <tanarro@gmail.com>      *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
***************************************************************************/

function init()
{
  comic.comicAuthor = "Eneko";
  comic.websiteUrl = "http://blogs.20minutos.es/eneko/";
  comic.textCodec = "UTF-8";
  comic.firstIdentifier = "2007/09/12/bin-laden/";
  if (comic.identifier != new String()) {
    comic.websiteUrl = "http://blogs.20minutos.es/eneko/" + comic.identifier;
    comic.requestPage(comic.websiteUrl, comic.Page);
  } else {
    comic.requestPage(comic.websiteUrl, comic.User);
  }
}

function pageRetrieved(id, data)
{
  //find the most recent strip
  if (id == comic.User) {
    //var re = new RegExp("<h1><a href=\"http://blogs.20minutos.es/eneko/([^\"]+)\"");
    var re = new RegExp("<h2><a href=\"http://blogs.20minutos.es/eneko/([^\"]+)\"");
    var match = re.exec(data);
    if ( match != null ) {
      comic.lastIdentifier = match[1];
      comic.identifier = comic.lastIdentifier;
      comic.websiteUrl += comic.identifier;
      comic.requestPage(comic.websiteUrl, comic.Page);
    } else {
      comic.error();
    }
  }
  if (id == comic.Page) {
    //find the title
    //var re = new RegExp("<div class=\"post\">[^\<]+<h1>([^\<]+)</h1>");
    var re = new RegExp("<title>([^|]+)");
    
    var match = re.exec(data);
    if (match != null) {
      comic.title = match[1];
    }
    //find the image
    
    //var re = new RegExp("<p><img src=\"([^\"]+)\"");
    var re = new RegExp("<p><a href=\"http://blogs.20minutos.es/eneko/files/([^\"]+)\"");
    var match = re.exec(data);
    if (match != null) {
      comic.requestPage("http://blogs.20minutos.es/eneko/files/"+match[1], comic.Image);
    } else {
      var re = new RegExp("<p><img src=\"http://blogs.20minutos.es/eneko/files/([^\"]+)\"");
      var match = re.exec(data);
      if (match != null) {
        comic.requestPage("http://blogs.20minutos.es/eneko/files/"+match[1], comic.Image);
      } else {
        comic.requestPage("http://estaticos.20minutos.es/mmedia/blog/img/ysinembargosemueve.gif", comic.Image);
      }
    }

    //getting the previous identifier
    //re = new RegExp("<p class=\"nav\">[^\<]+<a href=\"http://blogs.20minutos.es/eneko/\"");
    re = new RegExp("<link rel='prev' title='[^']+' href='http://blogs.20minutos.es/eneko/([^']+)'");
    match = re.exec(data);
    if (match != null) {
      comic.previousIdentifier = match[1];
    }
    //getting the next identifier
    //re = new RegExp("<a href=\"http://blogs.20minutos.es/eneko\">Inicio</a>[^\<]+<a href=\"http://blogs.20minutos.es/eneko/([^\"]+)\"");
    re = new RegExp("<link rel='next' title='[^']+' href='http://blogs.20minutos.es/eneko/([^']+)'");
    
    match = re.exec(data);
    if (match != null) { // this is the last
      comic.nextIdentifier = match[1];
    }
  }
}
